## com.arsdigita.cms.docmgr.ui
Class SearchList.SearchResultRenderer

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.SearchList.SearchResultRenderer

All Implemented Interfaces:
  com.arsdigita.bebop.list.ListCellRenderer

Enclosing class:
  SearchList

public static class SearchList.SearchResultRenderer
extends Object
implements com.arsdigita.bebop.list.ListCellRenderer

Field Summary

Fields inherited from interface com.arsdigita.bebop.list.ListCellRenderer
`versionId`

Constructor Summary
`SearchList.SearchResultRenderer()`

Method Summary
`com.arsdigita.bebop.Component` `getComponent(com.arsdigita.bebop.List list, com.arsdigita.bebop.PageState state, Object value, String key, int index, boolean isSelected)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchList.SearchResultRenderer

    public SearchList.SearchResultRenderer()

Method Detail

### getComponent

    public com.arsdigita.bebop.Component getComponent(com.arsdigita.bebop.List list,
                                                      com.arsdigita.bebop.PageState state,
                                                      Object value,
                                                      String key,
                                                      int index,
                                                      boolean isSelected)

  Specified by:
    `getComponent` in interface `com.arsdigita.bebop.list.ListCellRenderer`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC